const markModeA3 = {
  elements: [
    {
      type: "CARD_HEAD",
      modelType: "MODEL_ONE",
    },
  ],
  sideLeft: [
    {
      type: "GUTTER",
      direction: "left",
      x: 60,
      w: 30,
    },
    {
      type: "FILL_FIELD",
      fieldCountPerLine: 2,
      w: 440,
      h: 40,
      y: 980,
      x: 26,
      fields: [
        {
          name: "考生编号",
          code: "",
        },
        {
          name: "姓名",
          code: "",
        },
      ],
    },
    {
      type: "FILL_FIELD",
      w: 220,
      h: 40,
      y: 510,
      x: 26,
      fields: [
        {
          name: "考生确认签名",
          code: "",
        },
      ],
    },
  ],
  sideRight: [
    {
      type: "GUTTER",
      direction: "right",
      x: 0,
      w: 30,
    },
  ],
};

const markMode8K = {
  elements: [
    {
      type: "CARD_HEAD",
      modelType: "MODEL_ONE",
    },
  ],
  sideLeft: [
    {
      type: "GUTTER",
      direction: "left",
      x: 60,
      w: 30,
    },
    {
      type: "FILL_FIELD",
      fieldCountPerLine: 2,
      w: 400,
      h: 30,
      y: 870,
      x: 26,
      fields: [
        {
          name: "考生编号",
          code: "",
        },
        {
          name: "姓名",
          code: "",
        },
      ],
    },
    {
      type: "FILL_FIELD",
      w: 220,
      h: 30,
      y: 470,
      x: 26,
      fields: [
        {
          name: "考生确认签名",
          code: "",
        },
      ],
    },
  ],
  sideRight: [
    {
      type: "GUTTER",
      direction: "right",
      x: 0,
      w: 30,
    },
  ],
};

const teachMode = {
  elements: [
    {
      type: "CARD_HEAD",
      modelType: "MODEL_TWO",
    },
  ],
};

export const cardModels = {
  POSTGRADUATE: {
    A3: markModeA3,
    "8K": markMode8K,
  },
  EDUCATIONAL: {
    A3: teachMode,
    "8K": teachMode,
  },
};

export const getCardModels = (modeType, pageSize = "A3") => {
  return cardModels[modeType][pageSize];
};
