export const menuRoutes = [
  {
    path: "/paper-template/manage",
    name: "PaperTemplateManage",
    component: () =>
      import(
        /* webpackChunkName: "paperTemp" */ "../views/PaperTemplateManage.vue"
      ),
  },
];

export const otherRoutes = [
  {
    path: "/paper-template/edit",
    name: "PaperTemplateEdit",
    component: () =>
      import(
        /* webpackChunkName: "paperTemp" */ "../views/PaperTemplateEdit.vue"
      ),
  },
  {
    // viewType::: view:预览,print:打印,frame:iframe嵌套
    path: "/paper-template/preview/:tid/:viewType",
    name: "PaperTemplatePreview",
    component: () =>
      import(
        /* webpackChunkName: "paperTemp" */ "../views/PaperTemplatePreview.vue"
      ),
  },
  {
    path: "/paper-template/build/:paperId/:viewType?",
    name: "PaperTemplateBuild",
    component: () =>
      import(
        /* webpackChunkName: "paperTemp" */ "../views/PaperTemplateBuild.vue"
      ),
  },
  {
    path: "/answer-template/build/:paperId/:viewType?",
    name: "AnswerTemplateBuild",
    component: () =>
      import(
        /* webpackChunkName: "paperTemp" */ "../views/AnswerTemplateBuild.vue"
      ),
  },
];
