import QuestionManage from "./views/QuestionManage";
import QuestionRecycle from "./views/QuestionRecycle";
import SourceDetailManage from "./views/SourceDetailManage";
import Recycle from "./views/Recycle.vue";

export default [
  {
    path: "/question",
    name: "QuestionManage",
    component: QuestionManage,
  },
  {
    path: "/question-recycle",
    name: "QuestionRecycle",
    component: QuestionRecycle,
  },
  {
    path: "/source-detail-manage",
    name: "SourceDetailManage",
    component: SourceDetailManage,
  },
  {
    path: "/recycle",
    name: "Recycle",
    component: Recycle,
    meta: {
      breadTitle: "回收站",
    },
  },
];
